source: spip-zone/_plugins_/connecteur/trunk/connecteur_administrations.php @ 98181

Last change on this file since 98181 was 96249, checked in by p@…, 4 years ago

On a pas besoin du champ expire

File size: 614 bytes
Line 
1<?php
2
3if (!defined('_ECRIRE_INC_VERSION')) {
4        return;
5}
6
7function connecteur_upgrade($nom_meta_base_version, $version_cible) {
8
9        $maj = array();
10        $maj['create'] = array(array('maj_tables', array('spip_connecteur')));
11        $maj['1.0.1'] = array(array('maj_tables', array('spip_connecteur')));
12
13        $maj['1.0.2'] = array(
14                array('sql_alter', 'TABLE spip_connecteur DROP COLUMN expire')
15        );
16
17
18        include_spip('base/upgrade');
19        maj_plugin($nom_meta_base_version, $version_cible, $maj);
20}
21
22function connecteur_vider_tables($nom_meta_base_version) {
23        sql_drop_table('spip_connecteur');
24        effacer_meta($nom_meta_base_version);
25}
Note: See TracBrowser for help on using the repository browser.